DRAWPILE-SRV(1)

NAME
drawpile-srv - Drawpile server

SYNOPSIS
drawpile-srv [OPTIONS]

DESCRIPTION
A standalone server for Drawpile.

OPTIONS

--help, -h
    show help text

--version, -v
    prints program version number

--gui
    run in graphical mode (used with GUI specific command line arguments)

--port, -p port
    listen on the specified port instead of the default.

--listen, -l address
    bind to the specified address. If no listening address is specified, drawpile-srv will listen on all addresses.

--local-host hostname
    local server hostname to use in session announcement

--record, -r filename pattern
    record sessions to files. Placeholders in the filename pattern will be expanded to generate the actual filename. If a directory is given, a default filename pattern will be used. The placeholders %d (date), %t (time) and %i (session ID) are supported.

--sessions path
    where to store file backed sessions. If not specified, sessions are kept in memory.

--ssl-cert cert.pem
    select SSL certificate file.

--ssl-key key.pem
    select SSL private key file. This must be used together with --ssl-cert to enable SSL support.

--secure, -S
    strict security mode. When this flag is set, clients must use SSL to log in.

--database path
    the configuration database to use

--config, -c path
    the configuration file to use. Mutually exclusive with --database.

--templates, -t path
    where to look for session templates

--web-admin-port port
    enable web admin API and listen on this port

--web-admin-auth username:password
    enable HTTP BASIC Authentication on web admin API

--web-admin-access address/subnet|all
    allow access to web admin API from hosts other than localhost

SOCKET ACTIVATION
Drawpile-srv supports systemd socket activation. When the server is started by systemd and a socket is passed, the parameters --listen, --port and --web-admin-port are ignored. The listening address must be configured in drawpile-srv.socket unit file. If two sockets are passed, the second one will be used for the web admin API.

AUTHOR
Written by Calle Laakkonen <laakkonenc@gmail.com>.

COPYRIGHT
Copyright © 2013-2017 Calle Laakkonen <laakkonenc@gmail.com>
This is Free Software; this software is licensed under the GPL version 3, as published by the Free Software Foundation. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.